#pragma once

#include <QtGui/QDialog>

#include "commons.h"

class QLabel;
class QLineEdit;
class QComboBox;
class QCheckBox;
class QWidget;

class MountPointDialog: public QDialog
{
	Q_OBJECT

	public:
		MountPointDialog(QWidget* parent, MountPoint* mountPoint = 0 );
		~MountPointDialog();

	private slots:
		void preAccept();
		void changeFS(QString fs);

	private:
		void setupUi();

	private:
		QLabel*			m_labDevice;
		QLineEdit*		m_edDevice;
		QLabel*			m_labMountPoint;
		QLineEdit*		m_edMountPoint;
		QCheckBox*		m_chkboxFormat;
		QWidget*		m_widgetFS;
		QLabel*			m_labFS;
		QComboBox*		m_cmbboxFS;

		QPushButton*	m_butOk;
		QPushButton*	m_butCancel;

		MountPoint*		m_MountPoint;
};